package com.younike.wxpay.params;

import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/** 分账方信息 */
@Data
@Builder
public class Receiver {

    @NotBlank(message = "分账接收方类型不能为空")
    private String type;

    @NotBlank(message = "分账接收方账号不能为空")
    private String account;

    /* 个人姓名 */
    private String name;

    @NotNull(message = "分账金额不能为空")
    private Integer amount;

    @NotNull(message = "分账描述不能为空")
    private String description;

}
