package com.younike.wxpay.params;

import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/** 下单参数 */
@Data
@Builder
public class RefundParams {

    /* 子商户号 */
    private String sub_mchid;

    /* 微信支付订单号（二选一） */
    private String transaction_id;
    /* 商户订单号（二选一） */
    private String out_trade_no;

    /* 商户退款单号 */
    private String out_refund_no;

    /* 金额信息 */
    private Amount amount;

    /************************* 非必填 **************************/

    /* 退款原因 */
    private String reason;

    /* 退款结果回调url */
    private String notify_url;

    /* 退款资金来源 */
    private String funds_account;

    /* 退款商品 */
    private List<GoodsDetail> goods_detail;

}
