package com.younike.wxpay.responses;

import lombok.Data;

import java.util.List;

/**
 * 查询分账结果
 */
@Data
public class QuerySharingResponse {

    /**
     * 微信订单号
     */
    private String transaction_id;

    /**
     * 商户分账单号
     * 商户系统内部的分账单号，在商户系统内部唯一
     */
    private String out_order_no;

    /**
     * 微信分账单号
     * 微信分账单号，微信支付系统返回的唯一标识
     */
    private String order_id;

    /**
     * 分账单状态
     * 分账单状态（每个接收方的分账结果请查看receivers中的result字段），枚举值：
     * 1、PROCESSING：处理中
     * 2、FINISHED：分账完成
     */
    private String state;

    /**
     * 分账接收方列表
     */
    private List<Receivers> receivers;
}