package com.younike.system.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 订单--退款处理对象 order_refund
 * 
 * @author elev
 * @date 2022-01-10
 */
@Data
public class OrderRefund extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long orderRefundId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 需要退回的金额 */
    @Excel(name = "需要退回的金额")
    private BigDecimal payMoney;

    /** 实际退还金额 */
    @Excel(name = "实际退还金额")
    private BigDecimal refundMoney;

    /** 申请退款原因 */
    @Excel(name = "申请退款原因")
    private String refundReason;

    /** 用户申请退款备注 */
    @Excel(name = "用户申请退款备注")
    private String refundComment;

    /** 申请退款图片 */
    @Excel(name = "申请退款图片")
    private String refundImg;

    /** 卖家处理时间 */
    @Excel(name = "卖家处理时间")
    private LocalDateTime handleTime;

    /** 退款状态 code 005 */
    @Excel(name = "退款状态 code 005")
    private String status;

    /** 卖家退款回复 */
    @Excel(name = "卖家退款回复")
    private String refundReply;

    /** 平台退款结果描述 */
    @Excel(name = "平台退款结果描述")
    private String refundResult;

    /** 卖家退款备注 */
    @Excel(name = "卖家退款备注")
    private String mome;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Integer isDel;

    /** 版本号 */
    @Excel(name = "版本号")
    private Long version;

    private String orderRefundFlag;

    private String addRefundFlag;
}
