package com.younike.system.domain;

import java.math.BigDecimal;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 分账记录对象 profit_sharing_record
 * 
 * @author golden
 * @date 2022-03-11
 */
@Data
public class ProfitSharingRecord extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 记录主键 */
    private Long id;

    /** 关联订单ID */
    @Excel(name = "关联订单ID")
    private Long orderId;

    /** 商户分账单号 */
    @Excel(name = "商户分账单号")
    private String outOrderNo;

    /** 分账的出资商户号 */
    @Excel(name = "分账的出资商户号")
    private String subMchid;

    /** 交易流水号（微信/支付宝的交易号） */
    @Excel(name = "交易流水号", readConverterExp = "微信/支付宝的交易号")
    private String transactionId;

    /** 平台分账金额 */
    @Excel(name = "平台分账金额")
    private String platformAccount;

    /** 平台分账账号（分为单位） */
    @Excel(name = "平台分账账号")
    private Integer platformAmount;

    /** 代理商分账账号 */
    @Excel(name = "代理商分账账号")
    private String agentAccount;

    /** 代理商分账金额（分为单位） */
    @Excel(name = "代理商分账金额")
    private Integer agentAmount;

    /** 分账单状态（处理中:0 分账完成:1） */
    @Excel(name = "分账单状态", readConverterExp = "处=理中:0,分=账完成:1")
    private Integer status;

    /** 分账请求完整序列化结果 */
    @Excel(name = "分账请求完整序列化结果")
    private String result;

    /** 查询分账请求完整序列化结果 */
    @Excel(name = "查询分账请求完整序列化结果")
    private String queryResult;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


}
