package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.ProfitSharingRecord;

/**
 * 分账记录Mapper接口
 * 
 * @author golden
 * @date 2022-03-11
 */
public interface ProfitSharingRecordMapper {
    /**
     * 查询分账记录
     * 
     * @param id 分账记录主键
     * @return 分账记录
     */
    ProfitSharingRecord selectProfitSharingRecordById(Long id);

    /**
     * 查询分账记录列表
     * 
     * @param profitSharingRecord 分账记录
     * @return 分账记录集合
     */
    List<ProfitSharingRecord> selectProfitSharingRecordList(ProfitSharingRecord profitSharingRecord);

    /**
     * 新增分账记录
     * 
     * @param profitSharingRecord 分账记录
     * @return 结果
     */
    int insertProfitSharingRecord(ProfitSharingRecord profitSharingRecord);

    /**
     * 修改分账记录
     * 
     * @param profitSharingRecord 分账记录
     * @return 结果
     */
    int updateProfitSharingRecord(ProfitSharingRecord profitSharingRecord);

    /**
     * 删除分账记录
     * 
     * @param id 分账记录主键
     * @return 结果
     */
    int deleteProfitSharingRecordById(Long id);

    /**
     * 批量删除分账记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProfitSharingRecordByIds(Long[] ids);
}
